Name:           libdbi
Version:        0.9.0
Release:        15
Summary:        a database-independent abstraction layer in C
License:        LGPLv2+
URL:            http://libdbi.sourceforge.net/
Source0:        https://sourceforge.net/projects/libdbi/files/libdbi/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  git gcc

%description
libdbi implements a database-independent abstraction layer in C,
similar to the DBI/DBD layer in Perl. Writing one generic set of
code, programmers can leverage the power of multiple databases
and multiple simultaneous database connections by using this
framework.

%package        devel
Summary:        Devlopment files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
Development files for %{name}

%package        help
Summary:        Help files for %{name}
Obsoletes:      libdbi-doc
BuildArch:      noarch
%description    help
Help files for %{name}

%prep
%autosetup -n %{name}-%{version}

%build
%configure
%make_build

%install
%make_install
%delete_la_and_a

%check
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README NEWS
%exclude %{_datadir}/doc/%{name}-%{version}
%license COPYING AUTHORS
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/dbi
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/dbi.pc

%files help
%defattr(-,root,root)
%doc TODO doc/*.pdf doc/*guide

%changelog
* Thu Jan 9 2020 hanxinke<hanxinke@huawei.com> - 0.9.0-15
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:sync community

* Thu Oct 10 2019 hanxinke<hanxinke@huawei.com> - 0.9.0-14
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move AUTHORS to the licenses directory

* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9.0-13
- Package init
